关于 Subversion

Subversion (SVN) 是 CollabNet,Inc 于 2000 年推出的修订控制系统。

开发人员可使用 Subversion 来维护文件(如源代码、网页及文档)的当前版本和历史版本。其目标是成为广泛使用的并发版本系统 (CVS) 的最兼容的继承者。有关在 Dreamweaver 中使用 Subversion 的信息,请参阅使用 Subversion (SVN) 在 Dreamweaver 中获取和签入文件

Subversion 版本和 Dreamweaver

Dreamweaver CS6Dreamweaver CS5.5 使用 Subversion 1.6.9 客户端库。

Dreamweaver CS5 使用 Subversion 1.6.6 客户端库。更高版本的 Subversion 客户端库不向后兼容。如果您更新了第三方客户端应用程序(如 TortoiseSVN)以便使用 Subversion 的更高版本,那么更新后的 Subversion 应用程序将会更新本地 Subversion 元数据。Dreamweaver 则无法继续与 Subversion 通信。

但是在一般情况下,您可以成功使用 Subversion 的多个客户端/服务器,前提是它们都拥有相同的主要/次要版本。例如,1.4.x 版本的客户端/服务器可与 1.4.x 版本的客户端/服务器结合使用(1.4.5 可与 1.4.6 结合使用)、1.6.x 版本的客户端/服务器可与 1.6.x 版本的客户端/服务器结合使用(1.6.6 可与 1.6.9 结合使用),以此类推。如果您使用第三方工具更新文件,并且该工具可自动将本地 Subversion 元数据更新为更高版本,则可能会出现错误。随后,Dreamweaver 将无法与 Subversion 兼容。

Dreamweaver CS4 用户可以使用降级程序扩展功能,将元数据恢复到 Subversion 的先前版本。有关更多信息,请参阅错误“SVN: #155021。无法使用 Dreamweaver 的 Subversion 集成更新此文件…”|Dreamweaver CS4

可与 Dreamweaver 和 Subversion 结合使用的资源

连接到 Subversion 服务器时出错

尝试从 Dreamweaver 连接到 Subversion 服务器时可能会出现以下错误。请使用下面的信息来解决这些问题。

本产品经 Creative Commons Attribution-Noncommercial-Share Alike 3.0 Unported License 许可  Twitter™ 与 Facebook 中的内容不在 Creative Commons 的条款约束之下。

法律声明   |   在线隐私策略